package com.xhpc.common.domain;

import com.xhpc.common.core.annotation.Excel;
import com.xhpc.common.core.web.domain.BaseEntity;

/**
 * 费率模板 xhpc_rate_model
 *
 * @author yuyang
 * @date 2021-07-24
 */
public class XhpcRateModel extends BaseEntity {

    /** 费率模板id */
    private Long rateModelId;

    /** 状态（0正常 1停用） */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private Integer status;

    /** 删除标志（0代表存在 2代表删除） */
    private Integer delFlag;

    public Integer getStatus() {

        return status;
    }

    public void setStatus(Integer status) {

        this.status = status;
    }

    public Integer getDelFlag() {

        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {

        this.delFlag = delFlag;
    }

    public Long getRateModelId() {

        return rateModelId;
    }

    public void setRateModelId(Long rateModelId) {

        this.rateModelId = rateModelId;
    }

}
